Package org.silverpeas.components.almanach.subscription

# Class AlmanachSubscriptionService

java.lang.Object
org.silverpeas.core.subscription.service.AbstractResourceSubscriptionService
org.silverpeas.core.calendar.subscription.AbstractCalendarSubscriptionService
org.silverpeas.components.almanach.subscription.AlmanachSubscriptionService

All Implemented Interfaces:
  `org.silverpeas.core.initialization.Initialization`, `org.silverpeas.core.subscription.ResourceSubscriptionService`

@Service public class AlmanachSubscriptionService extends org.silverpeas.core.calendar.subscription.AbstractCalendarSubscriptionService

Author:
  silveryocha

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.silverpeas.core.subscription.ResourceSubscriptionService

  `org.silverpeas.core.subscription.ResourceSubscriptionService.Constants`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AlmanachSubscriptionService()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected String`
  `getHandledComponentName()`

  ### Methods inherited from class org.silverpeas.core.calendar.subscription.AbstractCalendarSubscriptionService

  `getSubscribersOfComponentAndTypedResource, init`

  ### Methods inherited from class org.silverpeas.core.subscription.service.AbstractResourceSubscriptionService

  `addAllSubscribersAboutNodePath, getNodeService, getSubscribersOfComponent, getSubscribersOfSubscriptionResource, getSubscriptionService`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.silverpeas.core.initialization.Initialization

  `getPriority, release`

- ## Constructor Details

  - ### AlmanachSubscriptionService

    public AlmanachSubscriptionService()

- ## Method Details

  - ### getHandledComponentName

    protected String getHandledComponentName()
    Specified by:
      `getHandledComponentName` in class `org.silverpeas.core.subscription.service.AbstractResourceSubscriptionService`